/* Methods used for bridging to the Findings app */

function bridge_is_available()
{
	return ( window != null && window.Bridge != null )
}

var id_string_to_flag_node = "node_flagged_for_bridge"

function bridge_id_for_node(node)
{
	if ( node == null )
		return '';
	if ( !node.id || !node.id.length || ( node.id.length < 1 ) ) {
		// remove any id previously set
		var previous_flag = document.getElementById(id_string_to_flag_node)
		var max = 100;
		while ( previous_flag && ( max > 0 ) ) {
			previous_flag.removeAttribute('id')
			previous_flag = document.getElementById(id_string_to_flag_node)
			max--;
		}
		// using a special id to flag the node
		node.id = id_string_to_flag_node
	}
	return ''+node.id
}

